QGIS3 crashes when getting canvas scene items

2018-11-29 11:18 AM - Anja Sen

Status: Closed

Priority: High

Assignee:

Category: Python bindings / sipify

Affected QGIS version:3.4.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 28491

Description

My QGIS3 crashes whenever I execute the following code in Python-Console:

iface.mapCanvas().scene().items()

I have tried in QGIS3.2 and also QGIS 3.4. I work on Windows, and this issue started this week, before that it was working fine. I have

tried to re-install QGIS with no success.. Any idea what it could be?

The crash report is the following:

Crash ID: b0e4dda0218358488ab39b2e18dde2d36f43cfa2

Stack Trace

QObject::connect :

PyInit_QtCore :

PyObject_FastCallKeywords :

PyObject_Call :

PyInit_sip :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyImport_Import :

PyImport_Import :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :
PyObject_Call :

PyInit_sip :

PyInit_Qsci :

QWidget::event :

QFrame::event :

QAbstractScrollArea::event :

PyInit_Qsci :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processKeyEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: 383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-11-29 11:19 AM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from PyQGIS Console to Python bindings / sipify

#2 - 2018-11-29 11:28 PM - Nyall Dawson

- Status changed from Open to Feedback
Works ok here. Have you tried with a clean profile and no plugins?

#3 - 2018-11-30 09:57 AM - Anja Sen

Nyall Dawson wrote:

Works ok here. Have you tried with a clean profile and no plugins?

Hi Nyall,

with a clean profile it works fine! Do you know what the issue could be with my previous profile?

Anja

#4 - 2018-11-30 11:05 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

with a clean profile it works fine! Do you know what the issue could be with my previous profile?

could be a bad 3rd party plugin or a legacy setting/config in the profile folder.
